%define samplesname 	dxsamples
%define sver	4.1.3
%define dxdir	%{_libdir}/dx

Name:		OpenDX
Summary:	Open source software based on IBM's Visualization Data Explorer

Version:	%{sver}
Release:	5

Source:		http://www.research.ibm.com/dx/srcDownload/srcArchive/dx-%{version}.tar.bz2
Source1:	http://www.research.ibm.com/dx/srcDownload/srcArchive/%{samplesname}-%{sver}.tar.bz2
Source2:	dx.xpm
Source3:	dx-mini.xpm
Source4:	dx-large.xpm

URL:		http://www.opendx.org/
Group:		Sciences/Other
License:	IBM Public License
BuildRequires:	autoconf freetype-devel ImageMagick-devel libtiff-devel libjbig-devel
BuildRequires:	libjpeg-devel libpng-devel libtiff-devel netcdf zlib-devel
BuildRequires:	bison
BuildRequires:	HDF
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
OpenDX is a uniquely powerful, full-featured software package for the
visualization of scientific, engineering and analytical data: Its open
system design is built on a standard interface environments. And its
sophisticated data model provides users with great flexibility in
creating visualizations.

With OpenDX, you can create the visualizations you want to create. OpenDX has
been designed to be the place where the art of science and the science of
visualization come together. It's the place where they're combined into one
powerful, flexible framework that lets you "Simply Visualize."

%package devel
Summary:	Development libraries for OpenDX
Group:		Development/C

%description devel
This package contains the header files and includes necessary to for developing
applications with OpenDX.

%prep
%setup -q -n dx-%{version} -a 1

%build
#CFLAGS="%optflags -O2 -fno-exceptions" CXXFLAGS="%optflags -O2 -fno-exceptions" \
%configure --prefix=/usr \
           --with-x \
           --x-includes=/usr/X11R6/include/X11 \
	   --with-magick \
	   --with-netcdf \
           --with-jbig \
           --without-javadx
# These flags could be used if Java JDK and CDF packages are
# installed
# --with-cdf \
# --with-jni-path=$JAVA_HOME/jdk1.2.2/include:$JAVA_HOME/jdk1.2.2/include/linux \
# --with-java40jar-path=/usr/lib/netscape/java/classes
# --with-cosmojar-path
make CFLAGS="$RPM_OPT_FLAGS -fno-exceptions" 



(cd %{samplesname}-%{sver}
%configure --prefix=/usr
make) 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_includedir} \
         $RPM_BUILD_ROOT%{_libdir} \
         $RPM_BUILD_ROOT%{_mandir}/man1 \
         $RPM_BUILD_ROOT%{_mandir}/cat1
make install prefix=$RPM_BUILD_ROOT/usr

ln -sf /usr/dx/include/dxconfig.h $RPM_BUILD_ROOT%{_includedir}/dxconfig.h
ln -sf /usr/dx/include/dxl.h $RPM_BUILD_ROOT%{_includedir}/dxl.h
ln -sf /usr/dx/include/dx $RPM_BUILD_ROOT%{_includedir}/dx

ln -sf /usr/dx/lib_linux/libDX.a $RPM_BUILD_ROOT%{_libdir}/libDX.a
ln -sf /usr/dx/lib_linux/libDXcallm.a $RPM_BUILD_ROOT%{_libdir}/libDXcallm.a
ln -sf /usr/dx/lib_linux/libDXL.a $RPM_BUILD_ROOT%{_libdir}/libDXL.a
ln -sf /usr/dx/lib_linux/libDXlite.a $RPM_BUILD_ROOT%{_libdir}/libDXlite.a

#ln -sf /usr/dx/lib/dx.mdf $RPM_BUILD_ROOT%{_libdir}/dx.mdf
#ln -sf /usr/dx/lib/dxexec.exp $RPM_BUILD_ROOT%{_libdir}/dxexec.exp
#ln -sf /usr/dx/lib/dxfSaveCurrentImage.net $RPM_BUILD_ROOT%{_libdir}/dxfSaveCurrentImage.net
#ln -sf /usr/dx/lib/dxrc $RPM_BUILD_ROOT%{_libdir}/dxrc
#ln -sf /usr/dx/lib/mdf2c.awk $RPM_BUILD_ROOT%{_libdir}/mdf2c.awk


cp $RPM_BUILD_ROOT/usr/dx/man/manl/dx.l $RPM_BUILD_ROOT%{_mandir}/man1/dx.1
cp $RPM_BUILD_ROOT/usr/dx/man/catl/dx.l $RPM_BUILD_ROOT%{_mandir}/cat1/dx.l

ln -sf /usr/dx/html/allguide.htm $RPM_BUILD_ROOT/usr/dx/html/index.html
ln -sf /usr/dx/html/allguide.htm $RPM_BUILD_ROOT/usr/dx/html/index.htm

#ln -sf %{dxdir}/include/dxl.h $RPM_BUILD_ROOT%{_includedir}/dxl.h
#ln -sf %{dxdir}/include/dx $RPM_BUILD_ROOT%{_includedir}/dx
#ln -sf %{dxdir}/lib_linux/libDX.a $RPM_BUILD_ROOT%{_libdir}/libDX.a
#ln -sf %{dxdir}/lib_linux/libDXcallm.a $RPM_BUILD_ROOT%{_libdir}/libDXcallm.a
#ln -sf %{dxdir}/lib_linux/libDXL.a $RPM_BUILD_ROOT%{_libdir}/libDXL.a
#ln -sf %{dxdir}/lib_linux/libDXlite.a $RPM_BUILD_ROOT%{_libdir}/libDXlite.a
#rm -rf $RPM_BUILD_ROOT%{dxdir}/man
#
#
(cd %{samplesname}-%{sver}
make install prefix=$RPM_BUILD_ROOT/usr
)
#
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps \
	 $RPM_BUILD_ROOT/usr/share/pixmaps/mini \
	 $RPM_BUILD_ROOT/usr/share/pixmaps/dx 

#
#cat >$RPM_BUILD_ROOT/etc/menu/OpenDX <<EOF
#?package(OpenDX): command="%{_bindir}/dx" needs="X11" \
#icon="dx.xpm" section="Applications/Sciences/Mathematics" title="OpenDX" \
#longtitle="Visualization Data Explorer"
#EOF

install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/pixmaps/dx.xpm
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/pixmaps/mini/dx.xpm
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/pixmaps/dx/dx.xpm

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS LICENSE README
#%{_bindir}/*
#%{_mandir}/*/*
#%{_libdir}/*
/usr
#/usr/dx/bin
#/usr/dx/bin_linux
#/usr/dx/doc
#/usr/dx/fonts
#/usr/dx/help
#/usr/dx/html
#/usr/dx/lib
#/usr/dx/lib_linux
#/usr/dx/man
#/usr/dx/samples
#/usr/dx/ui
#/usr/share/pixmaps
#/usr/share/doc
#/etc/menu/OpenDX


%changelog
* Wed Sep 11 2001 Kai Puolamaki <Kai.Puolamaki@iki.fi> 4.1.3-5
- Cleaned the spec file further.

* Wed Aug 06 2001 Kai Puolamaki <Kai.Puolamaki@iki.fi> 4.1.3-2
- Removed scripts.

* Wed Aug 06 2001 Kai Puolamaki <Kai.Puolamaki@iki.fi> 4.1.3-1
- compile at CIS.

* Wed Aug 01 2001 Giuseppe Ghib <ghibo@mandrakesoft.coM> 4.1.3-2mdk
- added -fno-exceptions to compilation flags (thanks to Randall Hopper).
- forced -O2 due to gcc bug.

* Tue Jun 12 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.1.3-1mdk
- updated to version 4.1.3.
- cleaned SPEC file.

* Thu Mar 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.1.0-7mdk
- run aclocal/autoconf only for non ix86 architectures.
- added menu entry.

* Sat Mar 17 2001 David BAUDENS <baudens@mandrakesoft.com> 4.1.0-6mdk
- Don't BuildRequires HDF on PPC (HDF doesn't support PPC architecture)
- Use optimizations on PPC

* Fri Mar 16 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 4.1.0-5mdk
- Prefer arch "linux" to arch "alphax", for alpha.
- Re-generate configure with autoconf for each build.

* Mon Feb 26 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.1.0-4mdk
- add netcdf support.

* Sat Feb 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.1.0-3mdk
- added samples.
- added patches for allowing static building (thanks jloup).
- added mandirs.
- fixed docs.
- split into main and devel package.

* Tue Dec 26 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.1.0-2mdk
- added netcdf, hdf, cdf support.

* Mon Oct 09 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.1.0-1mdk
- more macros.
- added patch for ImageMagick.

* Sat Oct 07 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.1.0-0.9mdk
- initial release.
